Main Page Class Hierarchy Compound List File List Compound Members File Members

# tlay.h File Reference

Go to the source code of this file.

## Compounds
struct | TPHASE
## Functions
int | t_com (void)
int | t_region (double, double, TPHASE *)
double | t_phase (int, double, double, double *, double *)
double | t_lay (double, double, double *, double *)
int | t_set (void)
float | t_dis (float)
float | t_fun (float)
int | t_model (double, double)
double | t_direct (double, double, double *, double *)
double | t_pmp (double, double, double *, double *)
## Variables
char * | Phs [] = {"P", "S", "Pn", "Sn", "Pg", "Sg"}

## Function Documentation

int t_com | ( | void |  | ) |

| Definition at line 62 of file tlay.c. References k_its(), k_val(), PoverS, t_lay(), t_model(), t_region(), and t_set().

double t_direct | ( | double | ,
|  | double | ,
|  | double * | ,
|  | double * |
| ) |

| Definition at line 310 of file tlay.c. References brent(), iSrc, mnbrak(), nLay, t_fun(), vLay, xSrc, zSrc, and zTop. Referenced by t_phase().

float t_dis | ( | float |  | ) |

| Definition at line 191 of file tlay.c. References iSrc, xSrc, zSrc, and zTop.

float t_fun | ( | float |  | ) |

| Definition at line 166 of file tlay.c. References iSrc, vLay, and zTop. Referenced by t_direct(), t_lay(), and t_pmp().

double t_lay | ( | double | ,
|  | double | ,
|  | double * | ,
|  | double * |
| ) |

| Definition at line 216 of file tlay.c. References brent(), iRef, iSrc, mnbrak(), nLay, t_fun(), t_set(), vLay, xSrc, zSrc, and zTop. Referenced by t_com(), t_phase(), and t_region().

int t_model | ( | double | ,
|  | double |
| ) |

| Definition at line 130 of file tlay.c. References MAXLAY, nLay, vLay, and zTop. Referenced by t_com().

double t_phase | ( | int | ,
|  | double | ,
|  | double | ,
|  | double * | ,
|  | double * |
| ) |

| Definition at line 388 of file tlay.c. References nLay, PoverS, t_direct(), t_lay(), t_pmp(), and t_set().

double t_pmp | ( | double | ,
|  | double | ,
|  | double * | ,
|  | double * |
| ) |

| Definition at line 347 of file tlay.c. References brent(), iSrc, mnbrak(), nLay, t_fun(), vLay, xSrc, zSrc, and zTop. Referenced by t_phase().

int t_region | ( | double | ,
|  | double | ,
|  | TPHASE * |
| ) |

| Definition at line 433 of file tlay.c. References TPHASE::dtdr, TPHASE::dtdz, nLay, TPHASE::phase, PoverS, TPHASE::t, and t_lay(). Referenced by t_com().

int t_set | ( | void |  | ) |

| Definition at line 155 of file tlay.c. References initMod, and nLay. Referenced by t_com(), t_lay(), and t_phase().

## Variable Documentation

char* Phs[] = {"P", "S", "Pn", "Sn", "Pg", "Sg"}`[static]`

| Definition at line 25 of file tlay.h.